Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227003 - name change of install profile is bad
Summary: name change of install profile is bad
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-netboot
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 16:07 UTC by David Juran
Modified: 2009-07-22 12:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 17:03:30 UTC


Attachments (Terms of Use)

Description David Juran 2007-02-02 16:07:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.9) Gecko/20070118 Red Hat/1.5.0.9-10.el5 Firefox/1.5.0.9 pango-text

Description of problem:
Hello.

This might be more of an usability issue but this is what I ran into. I first created an installation profile and a host to install from this profile. Some time later I needed to update the profile and in the process of updating I changed the name of the profile. I then wanted to change the associated host to use the new profile so I double-clicked on the host and then go the following back-trace:

 File "/usr/sbin/system-config-netboot", line 565, in on_tree_view_row_activated
    apply (func)
  File "/usr/sbin/system-config-netboot", line 519, in on_editButton_clicked
    self.pxeDialog.showEdit(pxe)
  File "/usr/sbin/system-config-netboot", line 232, in showEdit
    pxeos = self.pxe.getpxeos()
  File "/usr/share/system-config-netboot/pxeboot.py", line 301, in getpxeos
    raise ValueError,_("%s is not PXE Operating System") % self.os
ValueError: RHEL5S7 is not PXE Operating System





Version-Release number of selected component (if applicable):
system-config-netboot-0.1.41-1.FC6

How reproducible:
Always


Steps to Reproduce:
1. Create a 'network installation profile'
2. Create a host to install from this profile.
3.  Edit the installation profile, changing the name and description
4. Double-click on the host to use the new profile....

Actual Results:


Expected Results:


Additional info:

Comment 1 Fabio Olive Leite 2007-11-12 20:42:41 UTC
Reassigning to component owner.

Comment 2 Radek Brich 2008-03-31 15:15:08 UTC
Fedora 6 is EOL, moving to rawhide

Comment 3 Radek Brich 2008-04-01 13:53:40 UTC
Following patch fixes the bug:
https://fedorahosted.org/system-config-netboot/changeset?old_path=trunk%2Fsrc&old=1076&new_path=trunk%2Fsrc&new=1077

It adds three new checks and dialogs:
 * when OS is renamed, the new name is compared with all existing OS's, to not
allow duplicate names
 * after renaming an OS and closing Configure Network Installation or Configure
Diskless Environment dialog, user is asked if PXE hosts should also be updated
and eventually updates them
 * when user tries to edit properties of PXE host with invalid OS name, a dialog
comes up, informing about the error and allowing to choose another OS name

It will go into rawhide with next update...


Comment 4 Bug Zapper 2008-05-14 02:35:11 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2009-06-09 22:26:06 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2009-07-14 17:03:30 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 8 David Juran 2009-07-22 12:10:41 UTC
Actually works in F11 with system-config-netboot-0.1.45.4-5.fc11
Updating the status of the Bz.


Note You need to log in before you can comment on or make changes to this bug.